VismaBouwsoftAPICalls.v1_GET_AssignmentLabor Method
v1_GET_AssignmentLabor() as String

This API call is used to get fields of a(n) AssignmentLabor(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /AssignmentLabor/
or
API Path: /AssignmentLabor/{id}
or
API Path: /AssignmentLabor/FieldInfo/

You can make this API call:
* without the key field id to get a list of AssignmentLabor
* with the key field id as the path parameter (the specific id of the AssignmentLabor you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
assignment_id 1 tpLong 0 No No No
actualcosttimeworked_id_mapping 1 tpLong 0 No No No
date 3 tpDate 0 No Yes No
employee_id 1 tpLong 0 No Yes No
address_id 1 tpLong 0 No Yes No
name 2 tpString 0 No No No
responsible 5 tpBool 0 No Yes No
job_id 1 tpLong 0 No Yes No
job_code 2 tpString 0 No Yes No
job_name 2 tpString 0 No No No
ok 5 tpBool 0 No Yes No
from 20 tpTimeDouble 0 No Yes No
to 20 tpTimeDouble 0 No Yes No
break 20 tpTimeDouble 0 No Yes No
invoice_id 1 tpLong 0 No No No
invoice_nr 1 tpLong 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/AssignmentLabor/

API Path: /AssignmentLabor/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentLabor

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: rbmfWxfIjOzSfmUkUfzRqfVtfjAjfGPIfDOkzAtrAUmGbIVlmm

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/496”, “Records”: [
  {
    "id": 3,
    "assignment_id": 4,
    "actualcosttimeworked_id_mapping": 338,
    "date": "2013–10–23",
    "employee_id": 23,
    "address_id": 0,
    "name": "Vercauteren Pieter2",
    "responsible": true,
    "job_id": 5,
    "job_code": "05",
    "job_name": "AFWERKING05",
    "ok": true,
    "from": 9,
    "to": 11.5,
    "break": 0.25,
    "invoice_id": 1152,
    "invoice_nr": 20130376,
    "ts_lastupdate": "2026–02–22 11:50:09"
  },
  {
    "id": 6,
    "assignment_id": 8,
    "actualcosttimeworked_id_mapping": 3474,
    "date": "2014–04–03",
    "employee_id": 23,
    "address_id": 0,
    "name": "Vercauteren Pieter2",
    "responsible": false,
    "job_id": 5,
    "job_code": "05",
    "job_name": "AFWERKING05",
    "ok": true,
    "from": 9.75,
    "to": 12.75,
    "break": 0.75,
    "invoice_id": 11297,
    "invoice_nr": 2020000547,
    "ts_lastupdate": "2026–02–22 11:50:09"
  }
,

]
}

/AssignmentLabor/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentLabor/738

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: rPGfWxfVkGzSfIGUDtzRqkbbfGPkIOAAjVItztOADtrGDfrPPD
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 738,
    "assignment_id": 1496,
    "actualcosttimeworked_id_mapping": 12438,
    "date": "2022–10–24",
    "employee_id": 551,
    "address_id": 0,
    "name": "WnDirk API",
    "responsible": true,
    "job_id": 48,
    "job_code": "APIJOB",
    "job_name": "",
    "ok": true,
    "from": 7,
    "to": 17,
    "break": 1,
    "invoice_id": 0,
    "invoice_nr": 0,
    "ts_lastupdate": "2026–05–07 09:19:14"
  }
]
}

/AssignmentLabor/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentLabor/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "assignment_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "actualcosttimeworked_id_mapping",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]